<ion-content>
    <ion-grid>
        <ion-row class="ion-justify-content-center ion-padding pb-0">
            <ion-col size="auto">
                <app-img
                    src="assets/img/kymia.svg"
                    alt="logo"
                    title="logo"
                    [errorSrc]="cardMedia"
                    class="width-60 height-70"
                ></app-img>
            </ion-col>
        </ion-row>
        <div class="ion-text-center">
            <ion-text class="size-24 weight-600" color="dove-light"
                >Connexion</ion-text
            >
        </div>
    </ion-grid>
    <ion-grid>
        <form
            [formGroup]="loginForm"
            name="loginForm"
            novalidate
            class="ion-padding"
        >
            <ion-row
                class="ion-align-items-center radius-5 border-2 border-solid has-border-blue-misty pr-10 py-6"
            >
                <ion-col size="1.5" class="ion-text-center ion-no-padding">
                    <ion-icon
                        name="mail"
                        fill="clear"
                        class="size-25 is-dove-grey"
                    ></ion-icon>
                </ion-col>
                <ion-col class="ion-align-items-center"
                    ><ion-input
                        data-testid="email"
                        type="text"
                        class="ion-padding form__input height-35 radius-7 border-solid border-1 has-border-medium"
                        placeholder="Adresse email"
                        formControlName="email"
                        [ngClass]="{ 'is-invalid': submit.getValue() && f.email.errors && f.email.errors.email }"
                    >
                    </ion-input
                ></ion-col>
            </ion-row>
            <ion-row *ngIf="submit.getValue() && f.email.errors">
                <ion-col>
                    <ion-text color="secondary"
                        ><h6 class="ion-no-margin" data-testid="invalid-email">
                            {{emailMessage}}
                        </h6></ion-text
                    >
                </ion-col>
            </ion-row>
            <ion-row
                class="ion-align-items-center radius-5 border-2 border-solid has-border-blue-misty mt-10 pr-10 py-6"
            >
                <ion-col size="1.5" class="ion-no-padding ion-text-center">
                    <ion-icon
                        name="lock-closed"
                        fill="clear"
                        class="size-25 is-dove-grey"
                    ></ion-icon>
                </ion-col>
                <ion-col>
                    <ion-input
                        type="password"
                        data-testid="password"
                        class="ion-padding form__input height-35 radius-7 border-solid border-1 has-border-medium"
                        placeholder="Mot de passe"
                        formControlName="password"
                        [ngClass]="{ 'is-invalid': submit.getValue() && f.password.errors }"
                    >
                    </ion-input>
                </ion-col>
            </ion-row>
            <ion-row *ngIf="submit.getValue() && f.password.errors">
                <ion-col>
                    <ion-text color="secondary"
                        ><h6
                            class="ion-no-margin"
                            data-testid="required-password"
                        >
                            Le mot de passe est obligatoire.
                        </h6></ion-text
                    >
                </ion-col>
            </ion-row>
            <div
                *ngIf="error.getValue() && !submit.getValue()"
                class="ion-text-center mt-10 mx-40"
            >
                <ion-text color="secondary" class="size-14">
                    {{error.getValue()}}</ion-text
                >
            </div>
            <ion-row
                class="ion-align-items-center ion-justify-content-center mt-20"
            >
                <ion-col size="10.3">
                    <ion-button
                        expand="block"
                        fill="solid"
                        color="primary"
                        size="large"
                        data-testid="login"
                        (click)="onSubmit()"
                        (keyPress)="onSubmit()"
                        class="form__action"
                    >
                        <ion-spinner
                            *ngIf="loading.getValue()"
                            ng-hide="showing"
                            class="spinner-energized"
                        ></ion-spinner>
                        <ion-text class="size-16 weight-500">
                            S<span class="ion-text-lowercase">e connecter</span>
                        </ion-text>
                    </ion-button>
                </ion-col>
            </ion-row>

            <div class="ion-text-center my-10">
                <a
                    class="size-14 weight-500"
                    routerLink="/pwdforget"
                    id="register"
                    data-testid="forgot-password"
                >
                    Mot de passe oublié ?
                </a>
            </div>
            <div class="ion-text-center weight-700 mt-50 size-14">
                <ion-text color="gray-slate"
                    >Vous n'avez pas de compte ?
                </ion-text>
                <a
                    routerLink="/register"
                    routerLinkActive="router-link-active"
                    data-testid="register"
                >
                    Inscrivez-vous</a
                >
            </div>
        </form>
    </ion-grid>
</ion-content>
